get
https://api-sandbox.asaas.com/v3/subscriptions//payments
Lists the payments already generated by a subscription.
Use this operation to retrieve the existing payments of the recurrence, including their IDs and current statuses. Future payments that have not been generated yet do not appear in the response.
Each payment has its own ID, status, and financial cycle.
Tracking paymentsTo track the creation of new payments and status changes, use Webhooks instead of repeatedly querying this endpoint.
Use this
GETfor one-off queries, recovery, or reconciliation.The
PAYMENT_CREATEDevent includes thesubscriptionfield, which identifies the subscription that originated the payment.
Related content
Guides
403Forbidden. Occurs when the request body is filled, GET method calls must have an empty body.
404Not found
